Website page details
curl --request GET \
--url https://api.kajabi.com/v1/website_pages/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kajabi.com/v1/website_pages/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kajabi.com/v1/website_pages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "website_pages",
"attributes": {
"title": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}Sites
Website page details
Details of a website page
Website Page Attributes
title(string) - Title of the website pageurl(string) - URL of the website pagecreated_at(string) - Date and time the website page was createdupdated_at(string) - Date and time the website page was updated_at
GET
/
v1
/
website_pages
/
{id}
Website page details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Website page ID
Query Parameters
Partial attributes as specified, e.g. fields[website_pages]=title
Was this page helpful?
⌘I